All pages
Powered by GitBook
1 of 6

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

List enrollment attachments

Create enrollment attachment

Update enrollment attachment

Delete enrollment attachment

Enrollment attachment

The enrollmentAttachment object provides the ability to upload an enrollment attachment (via file upload or license key) to the enrollment object.

This object contains the following attributes:

Field Name
Data Type
Description

id

string

The primary identifier of the attachment.

Example: ATT-0001-0001-0001-001

href

string

A reference to attachment within the API.

name

string

The name of the attachment object.

Example: Guide to establishing a reseller relationship

description

string

The description of the attachment object.

Example: Learn what happens when you establish a reseller relationship with SoftwareOne

type

string

The type of the attachment object.

Example: File

reference

string

The URI to access the attachment object.

Example: microsoft-agreement-certification.pdf

order

order

Example:

audit

A reference to the audit object.

{
    "id": "ATT-0001-0001-0001-0001",
    "href": "v1/catalog/enrollment/attachment/ATT-0001-0001-0001-0001",
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "reference": "microsoft-agreement-certification.pdf",
    "order": {
        "id": "ORD-5542-1187-3130-0991",
        "href": "/commerce/orders/ORD-5542-1187-3130-0991"
    },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }

Example

audit
{
    "id": "ORD-5542-1187-3130-0991",
    "href": "/commerce/orders/ORD-5542-1187-3130-0991"
}
get
Path parameters
enrollmentIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
get/public/v1/program/enrollments/{enrollmentId}/attachments
GET /public/v1/program/enrollments/{enrollmentId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {},
        "updated": {}
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "description": "text",
      "type": "text",
      "filename": "text",
      "size": 1,
      "contentType": "text",
      "enrollment": {
        "id": "text",
        "applicableTo": "text",
        "type": "text",
        "eligibility": {
          "client": true,
          "partner": true
        },
        "status": "text"
      }
    }
  ]
}
post
Path parameters
enrollmentIdstringRequired
Body
NamestringOptional
DescriptionstringOptional
filestring · binaryOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/program/enrollments/{enrollmentId}/attachments
POST /public/v1/program/enrollments/{enrollmentId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 67

{
  "attachment": {
    "Name": "text",
    "Description": "text"
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
put
Path parameters
enrollmentIdstringRequired
idstringRequired
Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
PUT /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 377

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
delete
Path parameters
enrollmentIdstringRequired
idstringRequired
Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

delete/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
DELETE /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

Get enrollment attachment

get
Path parameters
enrollmentIdstringRequired
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
301

Moved Permanently

No content

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
GET /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}